package com.ruoyi.common.constant;

/**
 * @author zwj
 * @date 2024-01-10 09:29
 */
public enum SysPostEnum {

    //   //岗位级别：0-不设置；1-经理；
    DEFAULT("不设置", 0),
    SET_MANAGER("经理；", 1),
    SET_LEADER("领导；", 2),

    //    是否关键岗位：1-是；2-否；
    IMPORTANT_TYPE_YES("关键岗位", 1),
    IMPORTANT_TYPE_NO("非关键岗位；", 2);


    private String name;
    private Integer value;

    SysPostEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
